Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class PortalContextProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.PortalContextProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.PortalContextProvider

    public class PortalContextProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.PortalContextProvider

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`static javax.portlet.WindowState` | `EXCLUSIVE`
`private java.lang.String` | `portalInfo`
`private java.util.Map` | `properties`
`private javax.portlet.PortletMode[]` | `supportedPortletModes`
`private javax.portlet.WindowState[]` | `supportedWindowStates`

Constructor Summary
`PortalContextProviderImpl()`

Method Summary
`java.lang.String` | `getPortalInfo()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.util.Collection` | `getPropertyNames()`
`java.util.Collection` | `getSupportedPortletModes()`
`java.util.Collection` | `getSupportedWindowStates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCLUSIVE

    public static final javax.portlet.WindowState EXCLUSIVE

### properties

    private java.util.Map properties

### supportedPortletModes

    private javax.portlet.PortletMode[] supportedPortletModes

### supportedWindowStates

    private javax.portlet.WindowState[] supportedWindowStates

### portalInfo

    private java.lang.String portalInfo

Constructor Detail

### PortalContextProviderImpl

    public PortalContextProviderImpl()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `org.apache.pluto.services.information.PortalContextProvider`

### getPropertyNames

    public java.util.Collection getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `org.apache.pluto.services.information.PortalContextProvider`

### getSupportedPortletModes

    public java.util.Collection getSupportedPortletModes()

  Specified by:
    `getSupportedPortletModes` in interface `org.apache.pluto.services.information.PortalContextProvider`

### getSupportedWindowStates

    public java.util.Collection getSupportedWindowStates()

  Specified by:
    `getSupportedWindowStates` in interface `org.apache.pluto.services.information.PortalContextProvider`

### getPortalInfo

    public java.lang.String getPortalInfo()

  Specified by:
    `getPortalInfo` in interface `org.apache.pluto.services.information.PortalContextProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD